[arch-commits] Commit in xmoto/repos (4 files)

Ronald van Haren ronald at archlinux.org
Thu May 14 09:32:01 EDT 2009


    Date: Thursday, May 14, 2009 @ 09:32:00
  Author: ronald
Revision: 39264

Merged revisions 39259,39261,39263 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/xmoto/trunk

........
  r39259 | ronald | 2009-05-14 14:48:23 +0200 (Thu, 14 May 2009) | 1 line
  
  upgpkg: xmoto 0.5.1-2
........
  r39261 | ronald | 2009-05-14 15:02:37 +0200 (Thu, 14 May 2009) | 1 line
  
  add gcc44 patch
........
  r39263 | ronald | 2009-05-14 15:31:25 +0200 (Thu, 14 May 2009) | 1 line
  
  upgpkg: xmoto 0.5.1-2
........

Added:
  xmoto/repos/extra-i686/xmoto_gcc44.patch
    (from rev 39263, xmoto/trunk/xmoto_gcc44.patch)
Modified:
  xmoto/repos/extra-i686/	(properties)
  xmoto/repos/extra-i686/PKGBUILD
Deleted:
  xmoto/repos/extra-i686/ode-0.10.patch

-------------------+
 PKGBUILD          |   12 ++++++++----
 ode-0.10.patch    |   15 ---------------
 xmoto_gcc44.patch |   33 +++++++++++++++++++++++++++++++++
 3 files changed, 41 insertions(+), 19 deletions(-)


Property changes on: xmoto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xmoto/trunk:1-36180
   + /xmoto/trunk:1-39263

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-14 13:31:25 UTC (rev 39263)
+++ extra-i686/PKGBUILD	2009-05-14 13:32:00 UTC (rev 39264)
@@ -5,7 +5,7 @@
 
 pkgname=xmoto
 pkgver=0.5.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A challenging 2D motocross platform game, where physics play an important role."
 arch=('i686' 'x86_64')
 url="http://xmoto.tuxfamily.org"
@@ -13,12 +13,17 @@
 depends=('bzip2' 'libjpeg' 'libpng' 'lua' 'sdl_mixer' 'ode=0.11' 'curl>=7.16.2' 
 	 'mesa' 'sqlite3' 'sdl_ttf' 'desktop-file-utils' 'sdl_net')
 install=xmoto.install
-source=(http://download.tuxfamily.org/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}-src.tar.gz)
-md5sums=('10cb822ec8c2c7e9466806633e69be1f')
+source=(http://download.tuxfamily.org/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}-src.tar.gz
+	xmoto_gcc44.patch)
+md5sums=('10cb822ec8c2c7e9466806633e69be1f'
+         '40bba4510c0188dc6e722d44de5471ef')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
 
+  # fix gcc4.4 building
+  patch -Np0 -i ${srcdir}/xmoto_gcc44.patch || return 1
+
   # build and install 
   ./configure --prefix=/usr --disable-sdltest
 
@@ -33,4 +38,3 @@
   install -Dm0644 ${srcdir}/${pkgname}-${pkgver}/extra/xmoto.xpm \
 	${pkgdir}/usr/share/pixmaps/xmoto.xpm
 }
-

Deleted: extra-i686/ode-0.10.patch
===================================================================
--- extra-i686/ode-0.10.patch	2009-05-14 13:31:25 UTC (rev 39263)
+++ extra-i686/ode-0.10.patch	2009-05-14 13:32:00 UTC (rev 39264)
@@ -1,15 +0,0 @@
-diff -Naur xmoto-0.4.2/src/xmscene/BikePlayer.cpp 
-xmoto-0.4.2-patched/src/xmscene/BikePlayer.cpp
---- xmoto-0.4.2/src/xmscene/BikePlayer.cpp	2008-07-29 
-19:03:01.000000000 +0200
-+++ xmoto-0.4.2-patched/src/xmscene/BikePlayer.cpp	2008-07-29 
-19:02:37.000000000 +0200
-@@ -146,6 +146,7 @@
-   m_bFirstPhysicsUpdate = true;
- 
-   /* Setup ODE */
-+  dInitODE();
-   m_WorldID = dWorldCreate();
-   dWorldSetERP(m_WorldID,PHYS_WORLD_ERP);
-   dWorldSetCFM(m_WorldID,PHYS_WORLD_CFM);
-

Copied: xmoto/repos/extra-i686/xmoto_gcc44.patch (from rev 39263, xmoto/trunk/xmoto_gcc44.patch)
===================================================================
--- extra-i686/xmoto_gcc44.patch	                        (rev 0)
+++ extra-i686/xmoto_gcc44.patch	2009-05-14 13:32:00 UTC (rev 39264)
@@ -0,0 +1,33 @@
+diff -Naur src.old/XMArgs.cpp src/XMArgs.cpp
+--- src.old/XMArgs.cpp	2009-05-14 14:20:54.603960980 +0200
++++ src/XMArgs.cpp	2009-05-14 14:21:07.584007699 +0200
+@@ -24,6 +24,7 @@
+ #include "VFileIO.h"
+ #include <sstream>
+ #include <stdlib.h>
++#include <cstdio>
+ 
+ XMArguments::XMArguments() {
+   m_opt_pack   	       = false;
+diff -Naur src.old/helpers/Log.cpp src/helpers/Log.cpp
+--- src.old/helpers/Log.cpp	2009-05-14 14:20:54.613925407 +0200
++++ src/helpers/Log.cpp	2009-05-14 14:23:14.092429804 +0200
+@@ -23,6 +23,7 @@
+ #include "../VFileIO.h"
+ #include "assert.h"
+ #include <stdarg.h>
++#include <cstdio>
+ 
+ bool  Logger::m_isInitialized = false;
+ bool  Logger::m_activ         = true;
+diff -Naur src.old/helpers/Text.cpp src/helpers/Text.cpp
+--- src.old/helpers/Text.cpp	2009-05-14 14:20:54.613925407 +0200
++++ src/helpers/Text.cpp	2009-05-14 14:21:31.804817862 +0200
+@@ -19,6 +19,7 @@
+ =============================================================================*/
+ 
+ #include "Text.h"
++#include <cstdio>
+ 
+ std::string txtToLower(const std::string& i_str) {
+     std::string v_res;



More information about the arch-commits mailing list